import Vue from 'vue'
import Vuex from 'vuex'
import getters from 'gcloud-oauth-app/src/store/getters'
import szcsSave from './modules/jyxcSave'

Vue.use(Vuex)

// https://webpack.js.org/guides/dependency-management/#requirecontext
const modulesFiles = require.context('gcloud-oauth-app/src/store/modules', true, /\.js$/)

// you do not need `import app from './modules/app'`
// it will auto require all vuex module from modules file
const modules = modulesFiles.keys().reduce((modules, modulePath) => {
  // set './app.js' => 'app'
  const moduleName = modulePath.replace(/^\.\/(.*)\.\w+$/, '$1')
  const value = modulesFiles(modulePath)
  modules[moduleName] = value.default
  return modules
}, {})


const store = new Vuex.Store({
  namespaced: true,
  modules:{
  	...modules, szcsSave
  },
  getters
})

export default store
