import { UUIDValue,BigDecimalValue } from 'gcloud-core-app/src/gcloud/protobuf/basic_pb.js'
import { StringValue } from 'google-protobuf/google/protobuf/wrappers_pb.js'
import { Timestamp } from 'google-protobuf/google/protobuf/timestamp_pb'

UUIDValue.of = function(uuidStr) {
  let value = new UUIDValue();
  value.setValue(uuidStr);
  return value;
};
  
StringValue.of = function(strValue) {
  let value = new StringValue();
  value.setValue(strValue);
  return value;
};

BigDecimalValue.of = function(number) {
  let value = new BigDecimalValue();
  value.setValue(number);
  return value;
};
//给后端传万元
BigDecimalValue.ofWan = function(number) {
  let value = new BigDecimalValue();
  number = number * 10000
  number = number.toString()
  value.setValue(number);
  return value
};
//取出来是万元转元
BigDecimalValue.prototype.getWan = function(number){
  number = number.value
  number = number * 100
  number = number/1000000
  number = number.toString()
  let decimalsL = number.split('.')
  if(decimalsL[1]&&decimalsL[1].length>7){
    number = parseFloat(number)
    number = number.toFixed(6)
    number = number.toString()
  }
  return number
};

Timestamp.of = function(time) {
  let date = new Date(time)
  let value = new Timestamp
  let stamp = date.getTime()
  value.setSeconds(stamp)
  return value;
};

//时间戳转仿真表单日期
Timestamp.prototype.DateFormat = function(format){
  var date = new Date(format);
  var Y = date.getFullYear();
  var M = (date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1);
  var D = date.getDate() < 10 ? '0' + date.getDate() : date.getDate();
  var h = date.getHours() + ':';
  var m = date.getMinutes() + ':';
  var s = date.getSeconds();
  return {Y,M,D}
}
const IntValue = function (number) {
  return Number(number)
}
const transforms = function(object,brr){
  var arr = []
  var i = 0
  for(var item in object) {
    arr[i] = object[item]
    i++
  }
  for(var j=0;j<brr.length;j++){
    if(arr[j]){
      if(brr[j] == 'BigDecimalValue'){
        arr[j] = BigDecimalValue.of(arr[j]).array
      }else if(brr[j] == 'StringValue'){
        arr[j] = StringValue.of(arr[j]).array
      }else if(brr[j] == 'IntValue'){
        arr[j] = parseInt(arr[j])
      }else if(brr[j] == 'UUIDValue'){
        arr[j] = UUIDValue.of(arr[j]).array
      }else if(brr[j] == 'Timestamp'){
        arr[j] = Timestamp.of(arr[j]).array
      }else if(brr[j] == ''){
        arr[j] = undefined
      }else if(brr[j] == 'String' || brr[j] == 'Bool'){
        arr[j] = String(arr[j])
      }else if(brr[j] == 'Wanyuan'){
        arr[j] = BigDecimalValue.ofWan(arr[j]).array
      }
    }
  }
  return arr;
}
export { UUIDValue,StringValue,Timestamp,BigDecimalValue,transforms };